'use client';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import React, { useCallback, useState } from 'react';
import SimpleMdeReact from 'react-simplemde-editor';
import 'easymde/dist/easymde.min.css';

export default function() {
    const [value, setValue] = useState(
        `'لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.'
`
    );

    const onChange = useCallback((value: string) => {
        setValue(value);
    }, []);

    return (
        <PanelCodeHighlight
            title="پایه"

        >
            <div className="markdown-editor prose mb-5 dark:prose-invert rtl:text-right">
                <SimpleMdeReact value={value} onChange={onChange} />
            </div>
        </PanelCodeHighlight>
    );
}
